> ## Documentation Index
> Fetch the complete documentation index at: https://steamgold.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Список курсовых пар

> Возвращает список последних котировок валютных пар



## OpenAPI

````yaml GET /currency
openapi: 3.0.1
info:
  title: OpenAPI SteamGold
  description: Is used for steamgold API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.steamgold.dev/v1
security:
  - bearerAuth: []
paths:
  /currency:
    get:
      description: Возвращает список последних котировок валютных пар
      responses:
        '200':
          description: Список валютных пар
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CurrencyPairsResponse'
        '401':
          description: Отсутствует авторизация
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    CurrencyPairsResponse:
      type: object
      description: Ответ со списком котировок валютных пар
      properties:
        status:
          type: integer
          description: HTTP-код ответа
        items:
          type: array
          description: Список котировок
          items:
            $ref: '#/components/schemas/CurrencyPairItem'
        total:
          type: integer
          description: Количество записей в ответе
        message:
          type: string
          description: Дополнительное сообщение
    Error:
      required:
        - code
        - message
      type: object
      properties:
        code:
          description: HTTP-код ответа
          type: integer
          format: int32
        message:
          description: Сообщение об ошибке
          type: string
    CurrencyPairItem:
      type: object
      properties:
        currency_pair:
          type: string
          description: Валютная пара в формате `XXX:YYY`
        close_price:
          type: number
          description: Цена закрытия пары
        created_at:
          type: string
          description: Дата фиксации котировки в формате `YYYY-MM-DD HH:mm:ss`
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````